#!/bin/sh


PARM=$1
PARM2=$2
OEM=
SCRIPTDIR=

case $PARM2 in
    Printer) OEM="IPS";
             SCRIPTDIR="/usr/local/printer/wsu_v2/bin/.scripts"
             ;;
    dell)    OEM="Dell";
             SCRIPTDIR="/usr/local/lexmark/wsu_v2/bin/.scripts"
             ;;
    *)       OEM="Lexmark";
             SCRIPTDIR="/usr/local/lexmark/wsu_v2/bin/.scripts"
             ;;
esac



listDevices(){
    lst=""
    if [ -f ${SCRIPTDIR}/findby_usblp.sh ]; then
        if [ "${OEM}" = "IPS" ]; then
             # XXX: Special case for Printer(OEM), since it's possible that the
             #      printer would return "InfoPrint" instead of "IPS".
             #      And we're always the last ones to know about these changes ;)
             lst=`${SCRIPTDIR}/findby_usblp.sh wsu | sed 's/\ /\//g' | grep ${OEM}`
             if [ "$lst" = "" ]; then
                 lst=`${SCRIPTDIR}/findby_usblp.sh wsu | sed 's/\ /\//g' | grep "InfoPrint"`
             fi
        else
             lst=`${SCRIPTDIR}/findby_usblp.sh wsu| sed 's/\ /\//g' | grep ${OEM}`
        fi
    fi
    for i in $lst 
    do
	    num=`echo $i | awk -F\; '{print $1}'`
        model=`echo $i | awk -F\; '{print $2}' | sed 's/\// /g' | sed 's/MANUFACTURER:Lexmark International //g'`
        if [ -e /dev/usb/lp${num} ]; then
	    echo "${model}&&:&&/dev/usb/lp${num}"
	elif [ -e /dev/usb/hiddev${num} ]; then
	    echo "${model}&&:&&/dev/usb/hiddev${num}"
	fi
    done
}


countDevices(){
    num=0
    if [ -f ${SCRIPTDIR}/findby_usblp.sh ]; then
        if [ "${OEM}" = "IPS" ]; then
             # XXX: Special case for Printer(OEM), since it's possible that the
             #      printer would return "InfoPrint" instead of "IPS".
             #      And we're always the last ones to know about these changes ;)
             num=`${SCRIPTDIR}/findby_usblp.sh wsu| grep ${OEM} | wc -l`
             if [ "$num" = "0" ]; then
                 num=`${SCRIPTDIR}/findby_usblp.sh wsu| grep "InfoPrint" | wc -l`
             fi
             echo $num
        else
            num=`${SCRIPTDIR}/findby_usblp.sh wsu| grep ${OEM} | wc -l`
            echo $num
        fi 
    fi
}


case $PARM in
    -c) countDevices
        ;;
     *) listDevices
        ;;
esac
